Bug 917013 (CVE-2013-1797) - CVE-2013-1797 kernel: kvm: after free issue with the handling of MSR_KVM_SYSTEM_TIME
Summary: CVE-2013-1797 kernel: kvm: after free issue with the handling of MSR_KVM_SYST...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1797
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 917022 917023 917024 917025 923967 964431 964432
Blocks: 917037
TreeView+ depends on / blocked
 
Reported: 2013-03-01 13:25 UTC by Petr Matousek
Modified: 2019-09-29 13:01 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 21:11:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0727 normal SHIPPED_LIVE Important: kvm security update 2013-04-09 22:11:53 UTC
Red Hat Product Errata RHSA-2013:0744 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-04-23 22:25:40 UTC
Red Hat Product Errata RHSA-2013:0746 normal SHIPPED_LIVE Important: rhev-hypervisor6 security and bug fix update 2013-04-23 22:55:51 UTC
Red Hat Product Errata RHSA-2013:0928 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-06-11 21:37:17 UTC
Red Hat Product Errata RHSA-2013:1026 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-07-09 19:04:31 UTC

Description Petr Matousek 2013-03-01 13:25:10 UTC
Description of the problem:
There is a potential use after free issue with the handling of
MSR_KVM_SYSTEM_TIME.  If the guest specifies a GPA in a movable or removable
memory such as frame buffers then KVM might continue to write to that
address even after it's removed via KVM_SET_USER_MEMORY_REGION.  KVM pins
the page in memory so it's unlikely to cause an issue, but if the user
space component re-purposes the memory previously used for the guest, then
the guest will be able to corrupt that memory.

Acknowledgements:

Red Hat would like to thank Andrew Honig of Google for reporting this issue.

Comment 1 Petr Matousek 2013-03-01 13:26:06 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 5 and Red Hat Enterprise MRG as they did not provide support
for the KVM subsystem.

Comment 6 Petr Matousek 2013-03-20 19:47:33 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 923967]

Comment 8 Fedora Update System 2013-03-23 23:58:03 UTC
kernel-3.8.4-202.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2013-04-09 18:15:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0727 https://rhn.redhat.com/errata/RHSA-2013-0727.html

Comment 10 errata-xmlrpc 2013-04-23 18:28:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Comment 11 errata-xmlrpc 2013-04-23 18:56:40 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:0746 https://rhn.redhat.com/errata/RHSA-2013-0746.html

Comment 13 errata-xmlrpc 2013-06-11 17:40:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0928 https://rhn.redhat.com/errata/RHSA-2013-0928.html

Comment 14 errata-xmlrpc 2013-07-09 15:06:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:1026 https://rhn.redhat.com/errata/RHSA-2013-1026.html


Note You need to log in before you can comment on or make changes to this bug.